Bug 1016605 - Process model does not show right information for process instances
Process model does not show right information for process instances
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 07:58 EDT by Maciej Swiderski
Modified: 2014-08-06 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maciej Swiderski 2013-10-08 07:58:01 EDT
Description of problem:
When viewing process model for given process instance it does not show right information:
- mixing nodes from various process instances
- marks more nodes than expected

Version-Release number of selected component (if applicable):


How reproducible:
start several process instances of a process that have different flows (for example using XOR gateway) to differ process instances between each other.

Steps to Reproduce:
1.
2.
3.

Actual results:
more nodes are marked as completed

Expected results:
only actually executed nodes should be marked as completed - strictly scoped to single process instance


Additional info:
Comment 1 Maciej Swiderski 2013-10-08 13:45:41 EDT
Fixed queries that are responsible for fetching information about active and completed nodes:

jbpm
master
https://github.com/droolsjbpm/jbpm/commit/c66739afbabff75a70b79f40f2d437f90ad3291d

6.0.x
https://github.com/droolsjbpm/jbpm/commit/e8162c761381f9107afc6039f25e5c2ac899f8a3
Comment 3 Marek Baluch 2013-12-10 08:41:52 EST
Verified on ER5.

Tried 6 instances of the HR process and the diagrams look correct.

Note You need to log in before you can comment on or make changes to this bug.